ghc-7.4.2: The GHC API

Safe Haskell | None

CmmCallConv

Synopsis

- data ParamLocation
  - = RegisterParam GlobalReg
  - | StackParam ByteOff
- assignArgumentsPos :: Convention -> (a -> CmmType) -> [a] -> [(a, ParamLocation)]

# Documentation

data ParamLocation

Constructors

RegisterParam GlobalReg |
StackParam ByteOff |

Instances

Outputable ParamLocation |

assignArgumentsPos :: Convention -> (a -> CmmType) -> [a] -> [(a, ParamLocation)]

JD: For the new stack story, I want arguments passed on the stack to manifest as positive offsets in a CallArea, not negative offsets from the stack pointer. Also, I want byte offsets, not word offsets.